
Foreman - Bug #6696

API v2 - specify the key in which the parameters would be wrapped rather than passing model name

07/20/2014 04:22 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1120800 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1600

  

Description

specify :host as key rather than passing class name (Host::Base) which resolved to params[:base]

Related issues:

Related to Foreman - Bug #5178: Users API requires parameters to be wrapped Closed 04/14/2014

Related to Foreman - Bug #6991: API v2 - support unwrapped POST/PUT parameter... New 08/07/2014

Has duplicate Foreman - Bug #6674: Can't create a host via the API because pa... Duplicate 07/17/2014

Associated revisions

Revision a2610e98 - 08/11/2014 04:41 AM - Joseph Magen

fixes #6696 - API v2 - specify 'host' as the key in which parameters will be wrapped rather than Host::Base

Revision 54e18770 - 08/11/2014 02:07 PM - Joseph Magen

fixes #6696 - API v2 - specify 'host' as the key in which parameters will be wrapped rather than Host::Base

(cherry picked from commit a2610e980c66663db2a200cedceb2a0b53918f3a)

History

#1 - 07/21/2014 04:54 AM - Dominic Cleal

- Related to Bug #5178: Users API requires parameters to be wrapped added

#2 - 07/21/2014 04:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1600 added

- Pull request deleted ()

#3 - 07/21/2014 04:55 AM - Dominic Cleal

- Has duplicate Bug #6674: Can't create a host via the API because params aren't correctly wrapped added

#4 - 07/21/2014 04:56 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 07/28/2014 04:29 PM - Bryan Kearney

- Bugzilla link set to 1120800

#6 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#7 - 08/11/2014 03:46 AM - Dominic Cleal

- Related to Bug #6991: API v2 - support unwrapped POST/PUT parameters even though it's not documented added
#8 - 08/11/2014 05:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a2610e980c66663db2a200cedceb2a0b53918f3a.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a2610e980c66663db2a200cedceb2a0b53918f3a
http://www.tcpdf.org

